Bug 1128765 - KDE shortcuts and gestures (kglobalaccel) does not start automatically upon booting
Summary: KDE shortcuts and gestures (kglobalaccel) does not start automatically upon b...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kde-runtime
Version: 7.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Grulich
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 14:00 UTC by Dave Wysochanski
Modified: 2016-01-20 17:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-20 17:00:17 UTC


Attachments (Terms of Use)

Description Dave Wysochanski 2014-08-11 14:00:35 UTC
Description of problem:
Upon every boot of my RHEL7 GA system, I've found the keyboard shortcuts I've defined don't load automatically.  To get them to load, I have to go to 'Applications -> Other -> KDE System Settings' and double click on 'Shortcuts and Gestures'.  This is the only way I've found to get keyboard shortcuts to load after booting.  The checkbox 'Start the Input Actions daemon on login' is checked.

If a user enters keyboard shortcuts and saves them, after booting they should automatically be loaded.  In particular, this seems to be 'kglobalaccel' which is not automatically starting.  This is from kde-runtime but I'm not sure if the automatic startup would be somewhere else.


Version-Release number of selected component (if applicable):
kde-runtime-4.10.5-8.el7.x86_64


How reproducible:
Every time - should be trivial to reproduce.


Steps to Reproduce:
1. Define a keyboard shortcut, save, reboot


Actual results:
Keyboard shortcuts are not there after rebooting, but require a user to open 'Shortcuts and Gestures' in the KDE System Settings in order to start kglobalaccel


Expected results:
Shortcuts are automatically loaded after booting.

Comment 4 Dave Wysochanski 2015-12-06 12:18:41 UTC
Problem still occurs on RHEL7.2

Comment 5 Jan Grulich 2016-01-19 12:10:32 UTC
I cannot reproduce this on RHEL 7.2 (tested with Kwin shortcuts). Could you be more specific about what shortcuts don't work for you? Could you try to reproduce this with a new user?

Comment 6 Dave Wysochanski 2016-01-20 17:00:17 UTC
Problem is reproducible on 7.2 per original description and latest comment.  I don't have interest in this problem anymore as I'm not running KDE anymore.  Since there was no response for over a year until recently I'm closing this for now pending further interest.


Note You need to log in before you can comment on or make changes to this bug.